backend:
  name: gitea
  branch: main
  repo: admin/my-blog
  api_root: https://gitea.shay7sev.site/api/v1
  base_url: https://gitea.shay7sev.site # 你的 Gitea 域名
  # auth_type: token
  # token: 18067b7eb7befdf6711c28bf0cba648f28fa0887
  auth_endpoint: https://gitea.shay7sev.site/api/v1/login/oauth/authorize
  app_id: c1281d27-51c4-44f0-88ed-eb54e5ebfcc7
  app_secret: gto_ed5awdwu6jxqmtxfr4tgnwl7difbphutkaruv3ixh72agv2it7aa
media_folder: "static/uploads"
public_folder: "/uploads"

collections:
  - name: "blog"
    label: "Blog"
    folder: "content/blog"
    create: true
    slug: "{{slug}}"
    fields:
      - { label: "Title", name: "title", widget: "string" }
      - { label: "Publish Date", name: "date", widget: "datetime" }
      - { label: "Body", name: "body", widget: "markdown" }
